import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;

public class DataWindow extends JFrame implements ActionListener
{
	private JScrollPane scrData;
	private JTable tabData;

	DataWindow()
	{
		MenuBar bar = new MenuBar();
		Menu filem = new Menu("File");
		filem.add("Save data as ASCII...");
		filem.addSeparator();
		MenuItem miExit = new MenuItem("Close");
		miExit.setActionCommand("Close");
		miExit.addActionListener(this);
		filem.add(miExit);
		bar.add(filem);
		setMenuBar(bar);

		setSize(new Dimension(300, 400));
		String[] cols = { "Col1", "Col2" };
		Object[][] data = { { "Eka", "Toka" },
		{"kolmas","neljas"}};
		tabData = new JTable(data, cols);
		int v = ScrollPaneConstants.VERTICAL_SCROLLBAR_AS_NEEDED;
		int h = ScrollPaneConstants.HORIZONTAL_SCROLLBAR_AS_NEEDED;
		scrData = new JScrollPane(tabData, v, h);
		getContentPane().add(scrData, BorderLayout.CENTER);
		setVisible(true);
	}

	public void actionPerformed(ActionEvent e) {
		if (e.getActionCommand() == "Close") {
			setVisible(false);
		}
	}
}

class DataWindowAdapter extends WindowAdapter {
	public void windowClosing(WindowEvent e) {
//		setVisible(false);
	}
}

