import javax.swing.*;

/** This class instantiates DataView-objects for tabular data. */

public class TabDataViewFactory implements Constants
{
  TabDataSet dataset;

	TabDataViewFactory()
	{
		if (DEBUG) System.out.println("TabDataViewFactory()");
	}

	long getNumberofDataViews()
	{
		return 1;
	}

	String getDataViewName(long ix)
	{
		return new String("DataView2D");
	}

	Icon getDataViewIcon(long ix)
	{
		return new ImageIcon();
	}

	DataView getDataViewInstance(long ix)
	{
		return new TabDataView2D(dataset);
	}

  void setDataSet(TabDataSet nds)
    {
      dataset = nds;
    }
}
