//
// TabDataSource.java
//

//package veto.data;

import java.io.*;

public abstract class TabDataSource extends DataSource{
	abstract int getNumberOfRows();
	abstract int getNumberOfCols();
	abstract String getFileDesc();
	abstract String getColumnName(int ix);
	abstract int getColumnType(int ix);
	abstract String getColumnMeasurement(int ix);
	abstract int getNumberOfClasses(int ix);
	abstract String getValueOfClass(int ix, int n);
	abstract boolean fetchFirst() throws IOException;
	abstract boolean fetchNext() throws IOException;
	abstract String getColAsClassString(int ix);	
	abstract String getColAsString(int ix);
	abstract long getColAsLong(int ix);
	abstract int getColAsClass(int ix);
	abstract double getColAsDouble(int ix);
};

